Join us on May 20th for the Content + AI Virtual Summit. Register now
{
"sequence_id": "3",
"path_collection": {
"total_count": 1,
"entries": [
{
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
}
]
},
"type": "web_link",
"id": "11446498",
"etag": "1",
"name": "My Bookmark",
"url": "https://www.example.com/example/1234",
"description": "Example page",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"trashed_at": null,
"purged_at": null,
"shared_link": null,
"item_status": "trashed"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
Represents a web link restored from the trash.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
The tree of folders that this web link is contained in, starting at the root.
Show child attributes
The value will always be web_link.
web_link "web_link"
The unique identifier for this web link.
"11446498"
The entity tag of this web link. Used with If-Match headers.
"1"
The name of the web link.
"My Bookmark"
The URL this web link points to.
"https://www.example.com/example/1234"
The parent object the web link belongs to.
Show child attributes
The description accompanying the web link. This is visible within the Box web application.
"Example page"
When this file was created on Box’s servers.
"2012-12-12T10:53:43-08:00"
When this file was last updated on the Box servers.
"2012-12-12T10:53:43-08:00"
The time at which this bookmark was put in the trash - becomes null after restore.
null
The time at which this bookmark will be permanently deleted - becomes null after restore.
null
The user who created this web link.
Show child attributes
The user who last modified this web link.
Show child attributes
The user who owns this web link.
Show child attributes
The shared link for this bookmark. This will be null if a bookmark had been trashed, even though the original shared link does become active again.
null
Whether this item is deleted or not. Values include active, trashed if the file has been moved to the trash, and deleted if the file has been permanently deleted.
active, trashed, deleted "trashed"
Was this page helpful?